summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-accessibility/nfbtrans
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-accessibility/nfbtrans')
-rw-r--r--app-accessibility/nfbtrans/Manifest1
-rw-r--r--app-accessibility/nfbtrans/files/nfbtrans-7.74-gentoo-fix.patch11
-rw-r--r--app-accessibility/nfbtrans/files/nfbtrans-7.74-getline-fix.patch40
-rw-r--r--app-accessibility/nfbtrans/metadata.xml9
-rw-r--r--app-accessibility/nfbtrans/nfbtrans-7.74-r1.ebuild42
-rw-r--r--app-accessibility/nfbtrans/nfbtrans-7.74.ebuild39
6 files changed, 142 insertions, 0 deletions
diff --git a/app-accessibility/nfbtrans/Manifest b/app-accessibility/nfbtrans/Manifest
new file mode 100644
index 00000000000..641e0e9c11f
--- /dev/null
+++ b/app-accessibility/nfbtrans/Manifest
@@ -0,0 +1 @@
+DIST nfbtr774.zip 470847 SHA256 87cad2aa875f44ad6035f5af080e02ecc23a8c3718e3e1943cb3a006c5fc93ec SHA512 58fa72c53d88d11fa005572f4e2ebd81d21afaec2fac0e986bfad66b42c194ec3573199e2f2b863725001c1cb777b60881605a1533f7eb73e31e24a244673c2c WHIRLPOOL e9bb51ac86ce3cda73b0b0e5199f68b37b8005c29deda1a154f68163eda6db564f887b234cc9184fdd7d13bbaeb93638717b2e7d40d50b16559379600ede5471
diff --git a/app-accessibility/nfbtrans/files/nfbtrans-7.74-gentoo-fix.patch b/app-accessibility/nfbtrans/files/nfbtrans-7.74-gentoo-fix.patch
new file mode 100644
index 00000000000..b44f5bc207c
--- /dev/null
+++ b/app-accessibility/nfbtrans/files/nfbtrans-7.74-gentoo-fix.patch
@@ -0,0 +1,11 @@
+--- nfbtrans.c.orig 2004-09-21 19:52:34.341784094 -0500
++++ nfbtrans.c 2004-09-21 19:54:07.005727168 -0500
+@@ -6,7 +6,7 @@
+ #define LINT_ARGS
+ #define DOS
+ #else
+-#define UNIX_PATH "/usr/local/lib/"
++#define UNIX_PATH "/etc/nfbtrans/"
+ #endif /* unix */
+ #include <stdio.h>
+ #include <sys/types.h>
diff --git a/app-accessibility/nfbtrans/files/nfbtrans-7.74-getline-fix.patch b/app-accessibility/nfbtrans/files/nfbtrans-7.74-getline-fix.patch
new file mode 100644
index 00000000000..14c13c06324
--- /dev/null
+++ b/app-accessibility/nfbtrans/files/nfbtrans-7.74-getline-fix.patch
@@ -0,0 +1,40 @@
+diff --git a/nfbtrans.c.orig b/nfbtrans.c
+index e697393..9a2944e 100644
+--- a/nfbtrans.c.orig
++++ b/nfbtrans.c
+@@ -534,7 +534,7 @@ void compact_line(char *);
+ void length_error(char *);
+ void do_lop_op(foptype *);
+ void do_lop(void);
+-void getline(void);
++void nfbtrans_getline(void);
+ void get_input(char *, int);
+ int get_paragraph_type(int);
+ void check_purge(void);
+@@ -2585,7 +2585,7 @@ void do_lop()
+ }
+ } /* do_lop */
+
+-void getline()
++void nfbtrans_getline()
+ {
+ int i = -1;
+ for (;;)
+@@ -2722,7 +2722,7 @@ int get_paragraph_type(int mode)
+ total_lines = 0;
+ do
+ {
+- getline();
++ nfbtrans_getline();
+ if (linein[0])
+ { /* line not empty */
+ if (prev_char == '\0')
+@@ -2874,7 +2874,7 @@ void get_word()
+ } /* head */
+ else
+ header_flag = 0;
+- getline();
++ nfbtrans_getline();
+ if (remove_page_nums)
+ remove_page_number();
+ if (auto_center)
diff --git a/app-accessibility/nfbtrans/metadata.xml b/app-accessibility/nfbtrans/metadata.xml
new file mode 100644
index 00000000000..2f0bbe44021
--- /dev/null
+++ b/app-accessibility/nfbtrans/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+<herd>accessibility</herd>
+<maintainer>
+ <email>williamh@gentoo.org</email>
+</maintainer>
+</pkgmetadata>
diff --git a/app-accessibility/nfbtrans/nfbtrans-7.74-r1.ebuild b/app-accessibility/nfbtrans/nfbtrans-7.74-r1.ebuild
new file mode 100644
index 00000000000..24ddfb1f2fd
--- /dev/null
+++ b/app-accessibility/nfbtrans/nfbtrans-7.74-r1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="3"
+
+inherit eutils
+
+DESCRIPTION="braille translator from the National Federation of the Blind"
+HOMEPAGE="http://www.nfb.org/nfbtrans"
+SRC_URI="http://www.nfb.org/Images/nfb/Products_Technology/nfbtr774.zip"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="amd64 ~ppc x86"
+IUSE=""
+
+DEPEND=" >=app-arch/unzip-5.50-r2"
+RDEPEND=""
+
+S=${WORKDIR}
+
+src_prepare() {
+ mv MAKEFILE Makefile
+ mv SPANISH.ZIP spanish.zip
+ make lowercase || die
+ epatch "${FILESDIR}"/${P}-gentoo-fix.patch
+ epatch "${FILESDIR}"/${P}-getline-fix.patch
+}
+
+src_compile() {
+ make CC=$(tc-getCC) \
+ LIBS= \
+ CFLAGS="${CFLAGS} -DLINUX" LDFLAGS="${LDFLAGS}" all || die
+}
+
+src_install() {
+ dobin nfbtrans || die
+ dodoc *fmt readme.txt makedoc
+ insinto /etc/nfbtrans
+ doins *cnf *tab *dic spell.dat *zip
+}
diff --git a/app-accessibility/nfbtrans/nfbtrans-7.74.ebuild b/app-accessibility/nfbtrans/nfbtrans-7.74.ebuild
new file mode 100644
index 00000000000..3fdb6c04ac6
--- /dev/null
+++ b/app-accessibility/nfbtrans/nfbtrans-7.74.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils
+
+DESCRIPTION="braille translator from the National Federation of the Blind"
+HOMEPAGE="http://www.nfb.org/nfbtrans"
+SRC_URI="http://www.nfb.org/Images/nfb/Products_Technology/nfbtr774.zip"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ppc x86"
+IUSE=""
+
+DEPEND=" >=app-arch/unzip-5.50-r2"
+RDEPEND=""
+
+S=${WORKDIR}
+
+src_unpack() {
+ unpack ${A}
+ mv MAKEFILE Makefile
+ mv SPANISH.ZIP spanish.zip
+ make lowercase || die
+ epatch "${FILESDIR}"/${P}-gentoo-fix.patch
+ epatch "${FILESDIR}"/${P}-getline-fix.patch
+}
+
+src_compile() {
+ make CC=$(tc-getCC) LIBS= CFLAGS="${CFLAGS} -DLINUX" all || die
+}
+
+src_install() {
+ dobin nfbtrans || die
+ dodoc *fmt readme.txt makedoc
+ insinto /etc/nfbtrans
+ doins *cnf *tab *dic spell.dat *zip
+}